fstequivalent(1)

NAME
fstequivalent - determine whether two DFAs are equivalent

SYNOPSIS
fstequivalent [OPTIONS] in1.fst in2.fst

DESCRIPTION

Determines whether two DFAs are equivalent. The exit status is zero for equivalent DFAs, and nonzero for nonequivalent DFAs.

OPTIONS

Boolean options accept either true or false as a value, or the implicit value true if neither value is specified.

--delta=VALUE
    Set the comparison/quantization delta. Default: 0.000976562.

--fst_align[=BOOLEAN]
    Write FST data aligned where appropriate. Default: false.

--fst_compat_symbols[=BOOLEAN]
    Require symbol tables to match when appropriate. Default: true.

--fst_default_cache_gc[=BOOLEAN]
    Enable garbage collection of cache. Default: true.

--fst_default_cache_gc_limit=N
    Set the cache byte size that triggers garbage collection. Default: 1048576.

--fst_error_fatal[=BOOLEAN]
    If true, FST errors are fatal. Otherwise, returned objects are flagged as bad. For example, FSTs are returned with the kError property set to true, and FST weights set so that Member() returns false. Default: true.

--fst_field_separator=STRING
    Set the characters used as a separator between printed fields. Default:
    "     ".

--fst_read_mode=STRING
    Set the default file reading mode for mappable files, either "read" or "map". Default: "read".

--fst_verify_properties[=BOOLEAN]
    Verify fst properties queried by TestProperties. Default: false.

--fst_weight_parentheses=STRING
    Set the characters enclosing the first weight of a printed composite weight (e.g., pair weight, tuple weight, and derived classes) to ensure proper I/O of nested composite weights. Must have size 0 (none) or 2 (open and close parenthesis). Default: no parentheses.

--fst_weight_separator=CHARACTER
    Set the character separator between printed composite weights. Default: comma.

--help[=BOOLEAN]
    Show usage information. Default: false.

--helpshort[=BOOLEAN]
    Show brief usage information. Default: false.

--max_length=LENGTH
    Set the maximum path length. Default: 2147483647.

--npath=INTEGER
    Set the number of paths to generate. Default: 1.

--random[=BOOLEAN]
    Test equivalence by randomly selecting paths in the input FSTs. Default: false.

--save_relabel_ipairs=FILENAME
    Save input relabel pairs to file. Default: do not save.

--save_relabel_opairs=FILENAME
    Save output relabel pairs to file. Default: do not save.

--seed=INTEGER
    Set the seed for the random number generator. Default: 1299098484.

--select=TYPE
    Set the selection type, one of uniform, log_prob, or fast_log_prob. Default: uniform.

--tmpdir=PATHNAME
    Set the temporary directory to use. Default: /tmp.

--v[=N]
    Set the verbosity level. Default: 0.

SEE ALSO

fstarcsort(1), fstclosure(1), fstcompile(1), fstcompose(1), fstcompress(1), fstconcat(1), fstconnect(1), fstconvert(1), fstdeterminize(1), fstdifference(1), fstdisambiguate(1), fstdraw(1), fstencode(1), fstepsnormalize(1), fstequal(1), fstinfo(1), fstintersect(1), fstinvert(1), fstisomorphic(1), fstlinear(1), fstloglinearapply(1), fstmap(1), fstminimize(1), fstprint(1), fstproject(1), fstprune(1), fstpush(1), fstrandgen(1), fstrelabel(1), fstreplace(1), fstreverse(1), fstreweight(1), fstrmepsilon(1), fstshortestdistance(1), fstshortestpath(1), fstsymbols(1), fstsynchronize(1), fsttopsort(1), fstunion(1)